Package org.eclipse.mat.ui.snapshot.editor

# Class HeapEditorContributions

java.lang.Object
org.eclipse.mat.ui.snapshot.editor.HeapEditorContributions

All Implemented Interfaces:
  `IMultiPaneEditorContributor`

public class HeapEditorContributions extends Object implements IMultiPaneEditorContributor

## Constructor Summary

Constructors
Constructor
Description
`HeapEditorContributions()`

## Method Summary

Modifier and Type
Method
Description
`void`
`contributeToToolbar(IToolBarManager manager)`
Called to enable the extension to add contributions to the toolbar.
`void`
`dispose()`
Called when the editor stops
`void`
`init(MultiPaneEditor editor)`
Called when the editor starts

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HeapEditorContributions

public HeapEditorContributions()

## Method Details

### contributeToToolbar

public void contributeToToolbar(IToolBarManager manager)
Description copied from interface: `IMultiPaneEditorContributor`
Called to enable the extension to add contributions to the toolbar.

Specified by:
  `contributeToToolbar` in interface `IMultiPaneEditorContributor`

### dispose

public void dispose()
Description copied from interface: `IMultiPaneEditorContributor`
Called when the editor stops

Specified by:
  `dispose` in interface `IMultiPaneEditorContributor`

### init

public void init(MultiPaneEditor editor)
Description copied from interface: `IMultiPaneEditorContributor`
Called when the editor starts

Specified by:
  `init` in interface `IMultiPaneEditorContributor`